# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/lg,sw43408.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LG SW43408 AMOLED DDIC

maintainers:
  - Casey Connolly <casey.connolly@linaro.org>

description:
  The SW43408 is display driver IC with connected panel.

  LG LH546WF1-ED01 panel is used on the Pixel 3, it is a 60hz OLED panel
  which required DSC (Display Stream Compression) and has rounded corners.

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - enum:
            # LG 5.46 inch, 1080x2160 pixels, 18:9 ratio
          - lg,sw43408-lh546wf1-ed01
      - const: lg,sw43408

  reg:
    maxItems: 1

  port: true
  vddi-supply: true
  vpnl-supply: true
  reset-gpios: true

required:
  - compatible
  - vddi-supply
  - vpnl-supply
  - reset-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "lg,sw43408-lh546wf1-ed01", "lg,sw43408";
            reg = <0>;

            vddi-supply = <&vreg_l14a_1p88>;
            vpnl-supply = <&vreg_l28a_3p0>;

            reset-gpios = <&tlmm 6 GPIO_ACTIVE_LOW>;

            port {
                endpoint {
                    remote-endpoint = <&mdss_dsi0_out>;
                };
            };
        };
    };
...
